#ifndef AUBO_SDK_API_H
#define AUBO_SDK_API_H

#include <aubo_sdk/rpc.h>
#include <aubo_sdk/rtde.h>
#include <aubo_sdk/script.h>
#include <aubo/global_config.h>

namespace arcs {
namespace aubo_sdk {

/** 获取兼容版本号
 *
 * 兼容版本号用于校验不同版本的 SDK 之间是否兼容
 *
 * - 不兼容: 主版本号不一致，用户需要修改已有的源码
 * - 兼容: 主版本号一致，将保持源码兼容和二进制兼容，用户只需要替换 SDK
 *   库文件，而不需要改动源码或者重新编译源码即能实现兼容
 */
int getCompatVersion();

} // namespace aubo_sdk
} // namespace arcs

#endif
