#include "aubo_sdk/rpc.h"

using namespace arcs::aubo_sdk;

void exampleFreeDrive(RpcClientPtr cli)
{
    auto robot_name = cli->getRobotNames().front();

    cli->getRuntimeMachine()->start();
    cli->getRobotInterface(robot_name)->getRobotManage()->freedrive(true);
    std::this_thread::sleep_for(std::chrono::seconds(25));
    cli->getRobotInterface(robot_name)->getRobotManage()->freedrive(false);
}

#define LOCAL_IP "127.0.0.1"

int main(int argc, char **argv)
{
    auto rpc_cli = std::make_shared<RpcClient>();
    rpc_cli->connect(LOCAL_IP, 30004);
    rpc_cli->login("aubo", "123456");

    exampleFreeDrive(rpc_cli);
}
